<?php
$h=date('H');
if ($h>=1 && $h<=12)
{echo "Доброе утро!";}
elseif ($h>=13 && $h<=17)
{echo "Добрый день!";}
elseif ($h>=18 && $h<=2)
{echo "Добрый вечер!";}
elseif ($h>=22 && $h<=24)
{echo "Доброй ночи!";}
?>